Bug 172746 - Wrong syntax in COMMON decleration caused F95 compiler segment fault
Wrong syntax in COMMON decleration caused F95 compiler segment fault
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-08 19:03 EST by john liu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 14:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john liu 2005-11-08 19:03:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; TencentTraveler ; .NET CLR 1.1.4322; InfoPath.1)

Description of problem:
Empty named-COMMON block decleration caused F95 generated segment fault.


Version-Release number of selected component (if applicable):
GNU Fortran 95 (GCC 4.0.0 20050519 (Redhat 4.0.0-8))

How reproducible:
Always

Steps to Reproduce:
1.Create a test.for file with these simple lines:
              COMMON  /COMMONBLOCK/
              END
2.Compile this file by invoking F95 compiler:
           F95 test.for -o test

3.Compiler will display an error:
  test.for: In function "MAIN__":
  test.for:2: internal compiler error: Segmentation fault



Additional info:
Comment 1 Diego Novillo 2005-11-09 14:17:05 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.